from abc import ABC
from typing import List

from dataspree.inference.core.node import Node


class Plugin(Node, ABC):
    def __init__(self, name: str,
                 register_signal_producer: bool = False,
                 register_signal_consumer: bool = False) -> None:
        Node.__init__(self, name=name, register_signal_producer=register_signal_producer,
                      register_signal_consumer=register_signal_consumer)

    @staticmethod
    def get_config_categories() -> List[str]: return ['plugins']
