from dataclasses import dataclass, field
from typing import Optional, List

from dataspree.inference.sensor.data.camera import Camera, CameraData


@dataclass
class TofCamera(Camera):
    operating_mode: Optional[str] = None
    operating_modes: Optional[List[str]] = field(default_factory=list)

    distortion_correction: Optional[bool] = None
    ambiguity_filter_threshold: Optional[int] = None


@dataclass
class TofCameraData(CameraData):
    ...
